import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { SortOrderSchema } from '../enums/SortOrder.schema';
import { OfficeHoursCountOrderByAggregateInputObjectSchema as OfficeHoursCountOrderByAggregateInputObjectSchema } from './OfficeHoursCountOrderByAggregateInput.schema';
import { OfficeHoursAvgOrderByAggregateInputObjectSchema as OfficeHoursAvgOrderByAggregateInputObjectSchema } from './OfficeHoursAvgOrderByAggregateInput.schema';
import { OfficeHoursMaxOrderByAggregateInputObjectSchema as OfficeHoursMaxOrderByAggregateInputObjectSchema } from './OfficeHoursMaxOrderByAggregateInput.schema';
import { OfficeHoursMinOrderByAggregateInputObjectSchema as OfficeHoursMinOrderByAggregateInputObjectSchema } from './OfficeHoursMinOrderByAggregateInput.schema';
import { OfficeHoursSumOrderByAggregateInputObjectSchema as OfficeHoursSumOrderByAggregateInputObjectSchema } from './OfficeHoursSumOrderByAggregateInput.schema'

const makeSchema = () => z.object({
  id: SortOrderSchema.optional(),
  userId: SortOrderSchema.optional(),
  data: SortOrderSchema.optional(),
  _count: z.lazy(() => OfficeHoursCountOrderByAggregateInputObjectSchema).optional(),
  _avg: z.lazy(() => OfficeHoursAvgOrderByAggregateInputObjectSchema).optional(),
  _max: z.lazy(() => OfficeHoursMaxOrderByAggregateInputObjectSchema).optional(),
  _min: z.lazy(() => OfficeHoursMinOrderByAggregateInputObjectSchema).optional(),
  _sum: z.lazy(() => OfficeHoursSumOrderByAggregateInputObjectSchema).optional()
}).strict();
export const OfficeHoursOrderByWithAggregationInputObjectSchema: z.ZodType<Prisma.OfficeHoursOrderByWithAggregationInput> = makeSchema() as unknown as z.ZodType<Prisma.OfficeHoursOrderByWithAggregationInput>;
export const OfficeHoursOrderByWithAggregationInputObjectZodSchema = makeSchema();
